﻿
.blog_article_details {
    .blog_article_details__text {
        white-space: pre-line;
    }

    img.blog_article_details__image {
        float: left;
        margin: 0 24px 24px 0;
        max-width: 30%;
    }
    &::after{
        content: "";
        display: table;
        clear: both;
    }
}

.blog_article_list {
    display: grid;
    grid-column-gap: 16px;
    grid-row-gap: 16px;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    //margin: 0 0 32px 0;
    .blog_article {
        background-color: #ffffff;
        border-radius: 5px;
        padding: 0 0 16px 0;
        overflow: hidden;

        .blog_article__date {
            margin: 0 0 8px 0;
            padding: 0 16px;
            font-size: 18px;
            line-height: 1;
            color: #687583;
        }

        .blog_article__image {
            display: block;
            //padding: 0 16px;

            img {
                max-width: 100%;
                display: block;
                height: auto;
                margin: 0 auto 16px auto;
            }
        }
        .blog_article__tags{
            padding: 0 16px;
            margin: 0 0 8px 0;
            font-size: 12px;
            span{
                margin: 0 4px 4px 0;

                display: inline-block;
                padding: .25em .4em;
                //font-size: 75%;
                //font-weight: 700;
                line-height: 1;
                text-align: center;
                white-space: nowrap;
                vertical-align: baseline;
                border-radius: .25rem;
                transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;

                color: #fff;
                background-color: #6c757d;
            }
        }

        .blog_article__title {
            font-size: 22px;
            padding: 0 16px;
            margin: 0 0 8px 0;

            a, a:visited {

            }

            a:active, a:hover {

            }
        }
        .blog_article__preview{
            padding: 0 16px;
        }
    }
}
